Bug 238595 - IP is at __free_pages_ok Kernel oops
IP is at __free_pages_ok Kernel oops
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
i386 Linux
medium Severity urgent
: ---
: ---
Assigned To: Josef Bacik
Martin Jenner
Depends On:
  Show dependency treegraph
Reported: 2007-05-01 14:20 EDT by Dave Theodore
Modified: 2009-02-24 12:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-02-24 12:10:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dave Theodore 2007-05-01 14:20:04 EDT
IP is at __free_pages_ok [kernel] 0x3e0 (2.4.21-40.ELsmp/i686)
eax: 00000033   ebx: c4ffc0a4   ecx: 00000001   edx: c0387e98
esi: ddf15880   edi: 00000000   ebp: 00000000   esp: cd7d5ec8
ds: 0068   es: 0068   ss: 0068
Process keventd (pid: 6, stackpage=cd7d5000)
Stack: c02c1eb8 00000363 c000a968 ff12d000 00000000 c01d4179 00000000 cc8589dc
       cc8589dc 00000000 00000000 cc8589dc c0168d2d 00000016 ddf15880 00000000
       00000000 c014cf3e c82402e0 00000000 00000000 cd7d4000 00000000 00000e00
Call Trace:   [<c01d4179>] submit_bh_rsector [kernel] 0x49 (0xcd7d5edc)
[<c0168d2d>] block_read_full_page [kernel] 0x23d (0xcd7d5ef8)
[<c014cf3e>] __iodesc_free [kernel] 0xde (0xcd7d5f0c)
[<c0161e9c>] kmap_high [kernel] 0x5c (0xcd7d5f28)
[<c014d87b>] __iodesc_read_finish [kernel] 0x22b (0xcd7d5f38)
[<c01302ca>] __run_task_queue [kernel] 0x6a (0xcd7d5f74)
[<c013c9ad>] context_thread [kernel] 0x13d (0xcd7d5f8c)
[<c013c870>] context_thread [kernel] 0x0 (0xcd7d5fe0)
[<c01095cd>] kernel_thread_helper [kernel] 0x5 (0xcd7d5ff0)

Code: 0f 0b e1 00 3b 17 2c c0 e9 6c fc ff ff 9c 5a fa f0 fe 0d 70

Kernel panic: Fatal exception
Page has mapping still set. This is a serious situation. However if you
are using the NVidia binary only module please report this bug to
NVidia and not to the linux kernel mailinglist.

Output of uname -a:
Linux db4.sjdc01.qualys.com 2.4.21-40.ELsmp #1 SMP Thu Feb 2 22:22:39 EST 2006
i686 i686 i386 GNU/Linux

Hardware platform is HP DL380G4 with dual hyperthreading Xeon 3.8ghx procs with
2mb l2 cache and 8gb of memory.

Server is running Oracle with aio
Comment 1 Dave Theodore 2007-05-01 14:24:10 EDT
CPU 1 & 3 are hyperthread "cpu's."
Comment 2 Dave Theodore 2007-05-01 16:19:22 EDT
Problem has happened a second time.  I upgraded to the latest
2.4.21-47.0.1.ELsmp kernel.
Comment 3 Dave Theodore 2007-05-01 18:31:45 EDT
Latest kernel oops:
This is the second oops ( mentioned in comment#2 ) that occurred on the
2.4.21-40.ELsmp kernel.

EIP is at __free_pages_ok [kernel] 0x3e0 (2.4.21-40.ELsmp/i686)
eax: 00000033   ebx: c8938db8   ecx: c0387eb4   edx: 0003dfde
esi: c8938db8   edi: f34671c4   ebp: 00000000   esp: d3d99e7c
ds: 0068   es: 0068   ss: 0068
Process oracle (pid: 26585, stackpage=d3d99000)
Stack: c02c1eb8 eeac4c64 00000000 c016836d c8938db8 00000000 c8938db8 c8938db8
       00000001 00000001 c014e500 c8938db8 00000000 00000001 c8938db8 f34671c4
       00000001 c01485b8 c8938db8 c8938db8 f34671c4 03b10000 f34671c4 f34671d4
Call Trace:   [<c016836d>] discard_bh_page [kernel] 0x7d (0xd3d99e88)
[<c014e500>] invalidate_this_page2 [kernel] 0x90 (0xd3d99ea4)
[<c01485b8>] invalidate_list_pages2 [kernel] 0x58 (0xd3d99ec0)
[<c0148677>] invalidate_inode_pages2 [kernel] 0x27 (0xd3d99ee0)
[<c014ca03>] do_generic_direct_write [kernel] 0x113 (0xd3d99ef4)
[<c014cb7f>] generic_file_write [kernel] 0xbf (0xd3d99f38)
[<c02262c6>] sock_read [kernel] 0x96 (0xd3d99f50)
[<f885be99>] ext3_file_write [ext3] 0x39 (0xd3d99f6c)
[<c016595a>] sys_pwrite [kernel] 0xca (0xd3d99f8c)
[<c02af06f>] no_timing [kernel] 0x7 (0xd3d99fc0)
[<c02a002b>] clip_pop [kernel] 0x5b (0xd3d99fe0)

Code: 0f 0b e1 00 3b 17 2c c0 e9 6c fc ff ff 9c 5a fa f0 fe 0d 70

Kernel panic: Fatal exception
Comment 4 Josef Bacik 2008-02-04 14:56:55 EST
do you happen to have a core for this panic?
Comment 5 Josef Bacik 2009-02-24 12:10:50 EST
closing this bug as there has been no update in over a year.

Note You need to log in before you can comment on or make changes to this bug.